## nginx 1.22.1

=== debian/changelog ===
nginx (1.22.1-9+deb12u3) bookworm; urgency=medium

  * d/p/CVE-2025-53859.patch add, fix potential information leak
    in ngx_mail_smtp_module (CVE-2025-53859).

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 29 Aug 2025 16:26:01 +0200

nginx (1.22.1-9+deb12u2) bookworm; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Add upstream patches for CVE-2024-7347:
    - mp4: fix buffer underread while updating stsz atom
    - mp4: reject unordered chunks in stsc atom

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 12 Mar 2025 18:55:08 +0100

nginx (1.22.1-9+deb12u1) bookworm; urgency=medium

  * d/p/CVE-2025-23419.patch add, backport CVE-2025-23419 fix.

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 17 Feb 2025 20:40:29 +0100

nginx (1.22.1-9) unstable; urgency=medium

  * d/control: nginx-common Breaks+Replaces: nginx (<< 1.22.1-8)
    (Closes: 1032929)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 14 Mar 2023 16:19:32 +0100

nginx (1.22.1-8) unstable; urgency=medium

  * Main change:
    Configuration files returned to nginx-common package. This fixes
    the serious problem of losing configuration files during upgrade.
    This is a rollback of a change made in 1.22.1-6 (Closes: 1032517)
  * d/control: fix nginx-full dependencies
  * d/libnginx-mod.abisubstvars: update libnginx-mod-http-lua version

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 14 Mar 2023 06:53:32 +0100

nginx (1.22.1-7) unstable; urgency=medium

  * nginx ABI release: nginx-abi-1.22.1-7
  * nginx ABI: Nginx now provides nginx-abi-<VERSION> to better manage
    dependencies between nginx and 3rd party modules. Credit to Jérémy Lal.
  * switched to libpcre2 (Closes: 1000013)
  * d/p/bug-973861: added, lingering close for connections with pipelined
    requests. The patch is backported from the upstream. (Closes: 973861)
  * d/gbb.conf: switched to debian branch main (debian-branch = main)
  * d/copyright: updated to be compatible with 'cme update dpkg-copyright'

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 13 Feb 2023 13:04:16 +0100

nginx (1.22.1-6) unstable; urgency=medium

  * Main change:
    Nginx binary moved to package nginx, also moved basic
    configuration files from nginx-common to package nginx.
    The packages nginx-{light,core,extras,common} are replaced
    by a metapackage. (Closes: 1025763)
    Users should simply install 'nginx' and 'libnginx-mod-...'
    instead of these packages.
  * Additional changes:
    * d/nginx-{light,core,extras,full,common}.NEWS: added warning that
      nginx-{light,core,extras,full,common} are deprecated
    * d/control: fixed dependencies for safe binNMU
    * d/copyright: updated debian/* copyright
    * d/copyright: added missing copyright for d/apport/*
    * d/copyright: added missing GPL-2+ copyright for d/debhelper/dh_nginx
    * d/copyright: added missing copyright for d/help/examples/nginx_modsite
    * d/po/it.po: added Italian debconf translation. (Closes: 1019160)
    * d/control: removed dependency on obsolete package lsb-base
    * d/control: bump Standards-Version: 4.6.2, no changes

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 08 Feb 2023 17:20:27 +0100

nginx (1.22.1-5) unstable; urgency=medium

  [ Jan Mojžíš ]
  * Since version 1.22.1-5 all third party modules are removed from Debian NGINX
    package and all these modules are maintained in separate external packages.
    Removed namely these remaining modules:
      - libnginx-mod-http-geoip2
      - libnginx-mod-stream-geoip2
      - libnginx-mod-http-auth-pam
      - libnginx-mod-http-echo
      - libnginx-mod-http-upstream-fair
      - libnginx-mod-http-headers-more-filter
      - libnginx-mod-http-cache-purge
      - libnginx-mod-http-fancyindex
      - libnginx-mod-http-uploadprogress
      - libnginx-mod-http-subs-filter
      - libnginx-mod-http-dav-ext
  * d/tests: all *-simple and *-deps tests updated to check if nginx works
    after installation/reload/restart for all flavours
  * d/control: updated nginx-common dependency, fixes lintian warning
    maybe-not-arch-all-binnmuable

  [ Jérémy Lal ]
  * d/rules: default error-log-path is stderr (--error-log-path=stderr)
    instead of hardcoded /var/log/nginx/error.log (Closes: 1025858)
  * dh nginx: auto-detect build-dependency on ndk-dev
  * dh nginx: absolute /usr/sbin/nginx path for nginx tests
  * d/p/nginx-ssl_cert_cb_yield.patch SSL_CTX_set_cert_cb() callback yielding
    patch update
  * d/conf/nginx.conf: Set global error_log to /var/log/error.log
    Now that error_log default value is stderr, it is possible
    to override that config using nginx -g 'error_log stderr;'

  [ Miao Wang ]
  * d/control: removed unnecessary dependencies after removing 3rd party modules
  * d/rules: enabled stream_realip_module (--with-stream_realip_module)
  * d/rules: explicitly disabled pcre2 (--without-pcre2)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 20 Dec 2022 10:36:19 +0100

nginx (1.22.1-4) unstable; urgency=medium

  * d/t/*-module-deps: updated, added curl timeout 300 seconds and
    added nginx restart before calling curl
  * d/t/*-module-deps: update:
    - added tests for new ext. module libnginx-mod-http-set-misc
    - added tests for new ext. module libnginx-mod-http-brotli-filter
    - added tests for new ext. module libnginx-mod-http-brotli-static
    - added tests for new ext. module libnginx-mod-http-memc
    - added tests for new ext. module libnginx-mod-http-srcache-filter
  * removed 3th party modules and moved to separate packages:
    - libnginx-mod-nchan module
    - libnginx-mod-rtmp module
    - libnginx-mod-http-ndk module

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 08 Dec 2022 14:15:15 +0100

nginx (1.22.1-3) unstable; urgency=medium

  * d/control: added Multi-Arch: foreign for package nginx-dev
  * d/rules: enabled NDK upstream list module NDK_UPSTREAM_LIST
  * d/p/bug-1024605.patch: added header Forwarded: not-needed

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 05 Dec 2022 18:25:16 +0100


