=== debian/tests/control ===
Tests: light-simple
Restrictions: allow-stderr isolation-container needs-root
Depends: nginx-light, curl

Tests: ec-x25519
Restrictions: allow-stderr isolation-container needs-root
Depends: nginx-light, ssl-cert, curl

Tests: core-simple
Restrictions: allow-stderr isolation-container needs-root
Depends: nginx-core, curl

Tests: full-simple
Restrictions: allow-stderr isolation-container needs-root
Depends: nginx-full, curl

Tests: extras-simple
Restrictions: allow-stderr isolation-container needs-root
Depends: nginx-extras, curl

Tests: core-module-deps
Restrictions: allow-stderr isolation-container needs-root
Depends: nginx-core,
         curl,
         libnginx-mod-http-auth-pam,
         libnginx-mod-http-cache-purge,
         libnginx-mod-http-dav-ext,
         libnginx-mod-http-echo,
         libnginx-mod-http-fancyindex,
         libnginx-mod-http-geoip,
         libnginx-mod-http-geoip2,
         libnginx-mod-http-headers-more-filter,
         libnginx-mod-http-image-filter,
         libnginx-mod-http-lua [amd64 arm64 armel armhf i386 mips64el mipsel s390x powerpc],
         libnginx-mod-http-perl,
         libnginx-mod-http-subs-filter,
         libnginx-mod-http-uploadprogress,
         libnginx-mod-http-upstream-fair,
         libnginx-mod-http-xslt-filter,
         libnginx-mod-mail,
         libnginx-mod-nchan,
         libnginx-mod-rtmp,
         libnginx-mod-stream-geoip,
         libnginx-mod-stream-geoip2,
         libnginx-mod-stream,
         libnginx-mod-http-set-misc,
         libnginx-mod-http-brotli-filter,
         libnginx-mod-http-brotli-static,
         libnginx-mod-http-memc,
         libnginx-mod-http-srcache-filter,

Tests: full-module-deps
Restrictions: allow-stderr isolation-container needs-root
Depends: nginx-full,
         curl,
         libnginx-mod-http-auth-pam,
         libnginx-mod-http-cache-purge,
         libnginx-mod-http-dav-ext,
         libnginx-mod-http-echo,
         libnginx-mod-http-fancyindex,
         libnginx-mod-http-geoip,
         libnginx-mod-http-geoip2,
         libnginx-mod-http-headers-more-filter,
         libnginx-mod-http-image-filter,
         libnginx-mod-http-lua [amd64 arm64 armel armhf i386 mips64el mipsel s390x powerpc],
         libnginx-mod-http-perl,
         libnginx-mod-http-subs-filter,
         libnginx-mod-http-uploadprogress,
         libnginx-mod-http-upstream-fair,
         libnginx-mod-http-xslt-filter,
         libnginx-mod-mail,
         libnginx-mod-nchan,
         libnginx-mod-rtmp,
         libnginx-mod-stream-geoip,
         libnginx-mod-stream-geoip2,
         libnginx-mod-stream,
         libnginx-mod-http-set-misc,
         libnginx-mod-http-brotli-filter,
         libnginx-mod-http-brotli-static,
         libnginx-mod-http-memc,
         libnginx-mod-http-srcache-filter,

Tests: light-module-deps
Restrictions: allow-stderr isolation-container needs-root
Depends: nginx-light,
         curl,
         libnginx-mod-http-auth-pam,
