=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://nginx.org/download/nginx-(1\.23\.\d+)\.tar\.gz
