## nginx 1.24.0

=== debian/changelog ===
nginx (1.24.0-2ubuntu7.5) noble-security; urgency=medium

  * SECURITY UPDATE: data leak in ngx_mail_smtp_module
    - debian/patches/CVE-2025-53859.patch: properly check lengths in
      src/mail/ngx_mail_handler.c.
    - CVE-2025-53859

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Aug 2025 08:45:15 -0400

nginx (1.24.0-2ubuntu7.4) noble; urgency=medium

  [ Thomas Ward ]
  * d/control: Resolve dependency loop between nginx and nginx-common.
  * d/nginx-common.nginx.service: Add ConditionFileIsExecutable to 
    SystemD service file, prevents starting of service if nginx is
    not installed (which can happen if nginx-common is installed 
    independently from `nginx` itself (LP: #2081308) 

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Tue, 27 May 2025 15:28:18 +1200

nginx (1.24.0-2ubuntu7.3) noble-security; urgency=medium

  * SECURITY UPDATE: Session resumption
    - debian/patches/CVE-2025-23419.patch: added restriction for TLSv1.3
      cross-SNI session resumption in files src/http/ngx_http_request.c.
    - CVE-2025-23419

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 31 Mar 2025 15:38:37 -0300

nginx (1.24.0-2ubuntu7.1) noble-security; urgency=medium

  * SECURITY UPDATE: DoS in ngx_http_mp4_module
    - debian/patches/CVE-2024-7347-1.patch: fixed buffer underread while
      updating stsz atom in src/http/modules/ngx_http_mp4_module.c.
    - debian/patches/CVE-2024-7347-2.patch: reject unordered chunks in stsc
      atom in src/http/modules/ngx_http_mp4_module.c.
    - CVE-2024-7347

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Sep 2024 09:27:33 -0400

nginx (1.24.0-2ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:40:23 +0000

nginx (1.24.0-2ubuntu6) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:09:09 +0000

nginx (1.24.0-2ubuntu5) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:03:42 +0100

nginx (1.24.0-2ubuntu4) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:12:02 +0100

nginx (1.24.0-2ubuntu3) noble; urgency=medium

  * d/control: Fix versioned dependency for libnginx-mod-*-geoip2, as
    these are now distinct source packages with their own version numbers,
    not linked to the nginx source package itself.
    (LP: #2040404)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 05 Dec 2023 00:54:00 -0800

nginx (1.24.0-2ubuntu2) noble; urgency=medium

  * No change rebuild

 -- Bryce Harrington <bryce@canonical.com>  Mon, 20 Nov 2023 00:47:34 +0000

nginx (1.24.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:41:23 +0200

nginx (1.24.0-2) unstable; urgency=medium

  * d/control added dependency nginx-common to nginx (Closes: 1039905)
    After nginx installation, the nginx-common package is installed
    automatically due to its dependencies. The nginx-common package includes
    the systemd unit, which becomes enabled and activated upon installation.
    When the nginx is removed, nginx-common package and the systemd unit will
    remain in the system. Adding a dependency nginx-common to nginx solves
    this problem.
  * d/control fixed binNMU safe dependency declaration nginx to nginx-common,
    nginx is 'any', nginx-common is 'all' -> dependency '= ${source:Version}'
  * d/rules removed override_dh_strip, migration to automatic debug symbols is
    already done, fixes debug-symbol-migration-possibly-complete lint. warning
  * d/po/ro.po added Romanian debconf translation. (Closes: 1033084),
    Thanks to Remus-Gabriel Chelu
  * d/po/sv.po added Swedish debconf translation. (Closes: 1050443),
    Thanks to Peter Kvillegård
  * d/conf/mime.types added video/ogg, video/x-matroska (Closes: 1028144)
  * d/p/CVE-2023-44487.patch adds additional mitigations for CVE-2023-44487
    that according to NGINX developers on nginx-devel are already suitably
    mitigated with the default config options for keepalive. (Closes: 1053770)
  * d/control added nginx-dev dependency on ${nginx:abi}
  * d/debhelper/nginx_mod.pm automatic libnginx-mod-stream dependencies

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 11 Oct 2023 01:17:51 +0200

nginx (1.24.0-1ubuntu1) mantic; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too


