=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nginx
 Section: httpd
 Priority: optional
-Maintainer: Debian Nginx Maintainers <pkg-nginx-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nginx Maintainers <pkg-nginx-maintainers@alioth-lists.debian.net>
 Uploaders: Jan Mojžíš <jan.mojzis@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                libexpat-dev,
@@ -24,8 +25,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          iproute2,
-         nginx-common (<< ${source:Version}.1~),
-         nginx-common (>= ${source:Version}),
+         nginx-common (= ${source:Version}),
 Breaks: nginx-light (<< 1.22.1-6~), nginx-extras (<< 1.22.1-6~), nginx-core (<< 1.22.1-6~),
 Replaces: nginx-light (<< 1.22.1-6~), nginx-extras (<< 1.22.1-6~), nginx-core (<< 1.22.1-6~),
 Provides: httpd, httpd-cgi, ${nginx:abi}
@@ -65,6 +65,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${S:Build-Depends},
+         ${nginx:abi},
          nginx (<< ${source:Version}.1~),
          nginx (>= ${source:Version}),
 Provides: dh-sequence-nginx
@@ -79,8 +80,7 @@
 
 Package: nginx-core
 Architecture: all
-Depends: libnginx-mod-http-geoip (>= ${source:Version}),
-         libnginx-mod-http-geoip (<< ${source:Version}.1~),
+Depends: libnginx-mod-http-geoip2 (>= ${libnginx-mod-geoip2:Version}),
          libnginx-mod-http-image-filter (>= ${source:Version}),
          libnginx-mod-http-image-filter (<< ${source:Version}.1~),
          libnginx-mod-http-xslt-filter (>= ${source:Version}),
@@ -89,8 +89,7 @@
          libnginx-mod-mail (<< ${source:Version}.1~),
          libnginx-mod-stream (>= ${source:Version}),
          libnginx-mod-stream (<< ${source:Version}.1~),
-         libnginx-mod-stream-geoip (>= ${source:Version}),
-         libnginx-mod-stream-geoip (<< ${source:Version}.1~),
+         libnginx-mod-stream-geoip2 (>= ${libnginx-mod-geoip2:Version}),
          nginx (>= ${source:Version}),
          nginx (<< ${source:Version}.1~),
          ${misc:Depends},
@@ -198,7 +197,6 @@
          libnginx-mod-http-fancyindex (>= ${libnginx-mod-http-fancyindex:Version}~),
          libnginx-mod-http-geoip2 (>= ${libnginx-mod-geoip2:Version}~),
          libnginx-mod-http-headers-more-filter (>= ${libnginx-mod-http-headers-more-filter:Version}~),
-         libnginx-mod-http-lua (>=${libnginx-mod-http-lua:Version}~) [amd64 arm64 armel armhf i386 mips64el mipsel s390x powerpc],
          libnginx-mod-http-subs-filter (>= ${libnginx-mod-http-subs-filter:Version}~),
          libnginx-mod-http-uploadprogress (>= ${libnginx-mod-http-uploadprogress:Version}~),
          libnginx-mod-http-upstream-fair (>= ${libnginx-mod-http-upstream-fair:Version}~),
@@ -267,3 +265,8 @@
 
 Package: libnginx-mod-mail
 Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: nginx,
+Description: Mail module for Nginx
+ The nginx_mail module adds mail proxy support to nginx.
+ .
