## nginx 1.24.0-2ubuntu7.3trisquel1

=== debian/changelog ===
nginx (1.24.0-2ubuntu7.3trisquel1) ecne-security; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 01 Apr 2025 15:45:31 +0000
