=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nginx
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Nginx Maintainers <pkg-nginx-maintainers@alioth-lists.debian.net>
 Uploaders: Jan Mojžíš <jan.mojzis@gmail.com>
 Build-Depends: debhelper-compat (= 13),
@@ -51,7 +51,9 @@
 Replaces: nginx (<< 1.22.1-8)
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         nginx (>= ${source:Version}),
+         nginx (<< ${source:Version}.1~),
 Suggests: fcgiwrap, nginx-doc, ssl-cert
 Description: small, powerful, scalable web/proxy server - common files
  Nginx ("engine X") is a high-performance web and reverse proxy server
@@ -267,6 +269,3 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: nginx,
-Description: Mail module for Nginx
- The nginx_mail module adds mail proxy support to nginx.
- .
