## nginx 1.24.0-2ubuntu7.5trisquel1

=== debian/changelog ===
nginx (1.24.0-2ubuntu7.5trisquel1) ecne-security; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 25 Aug 2025 17:53:25 +0000
