=== debian/control ===
--- 
+++ 
@@ -51,9 +51,7 @@
 Replaces: nginx (<< 1.22.1-8)
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         nginx (>= ${source:Version}),
-         nginx (<< ${source:Version}.1~),
+Depends: ${misc:Depends}
 Suggests: fcgiwrap, nginx-doc, ssl-cert
 Description: small, powerful, scalable web/proxy server - common files
  Nginx ("engine X") is a high-performance web and reverse proxy server
@@ -269,3 +267,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: nginx,
+Description: Mail module for Nginx
+ The nginx_mail module adds mail proxy support to nginx.
+ .
